
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlAccessOrder;
import javax.xml.bind.annotation.XmlAccessorOrder;

public class XmlAccessorOrderBean
    implements XmlAccessorOrder
{

    private XmlAccessOrder value;

    public XmlAccessorOrderBean(XmlAccessOrder value) {
        this.value = value;
    }

    public XmlAccessorOrderBean() {
    }

    public Class<XmlAccessorOrder> annotationType() {
        return XmlAccessorOrder.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlAccessorOrder)) {
            return false;
        }
        if (!value.equals(((XmlAccessorOrderBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^ 0);
        return r;
    }

    public void value(XmlAccessOrder value) {
        value = value;
    }

    public XmlAccessOrder value() {
        return value;
    }

}
