
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlElementRef;

public class XmlElementRefBean
    implements XmlElementRef
{

    private String name;
    private Class type;
    private String namespace;

    public XmlElementRefBean(String name, Class type, String namespace) {
        this.name = name;
        this.type = type;
        this.namespace = namespace;
    }

    public XmlElementRefBean() {
    }

    public Class<XmlElementRef> annotationType() {
        return XmlElementRef.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlElementRef)) {
            return false;
        }
        if (!name.equals(((XmlElementRefBean) that).name)) {
            return false;
        }
        if (!type.equals(((XmlElementRefBean) that).type)) {
            return false;
        }
        if (!namespace.equals(((XmlElementRefBean) that).namespace)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^name.hashCode());
        r = (r^type.hashCode());
        r = (r^namespace.hashCode());
        return r;
    }

    public void name(String value) {
        name = value;
    }

    public String name() {
        return name;
    }

    public void type(Class value) {
        type = value;
    }

    public Class type() {
        return type;
    }

    public void namespace(String value) {
        namespace = value;
    }

    public String namespace() {
        return namespace;
    }

}
