
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;

public class XmlElementsBean
    implements XmlElements
{

    private XmlElement[] value;

    public XmlElementsBean(XmlElement[] value) {
        this.value = value;
    }

    public XmlElementsBean() {
    }

    public Class<XmlElements> annotationType() {
        return XmlElements.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlElements)) {
            return false;
        }
        if (!value.equals(((XmlElementsBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^ 0);
        return r;
    }

    public void value(XmlElement[] value) {
        value = value;
    }

    public XmlElement[] value() {
        return value;
    }

}
