
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlEnum;

public class XmlEnumBean
    implements XmlEnum
{

    private Class value;

    public XmlEnumBean(Class value) {
        this.value = value;
    }

    public XmlEnumBean() {
    }

    public Class<XmlEnum> annotationType() {
        return XmlEnum.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlEnum)) {
            return false;
        }
        if (!value.equals(((XmlEnumBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^value.hashCode());
        return r;
    }

    public void value(Class value) {
        value = value;
    }

    public Class value() {
        return value;
    }

}
