
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlEnumValue;

public class XmlEnumValueBean
    implements XmlEnumValue
{

    private String value;

    public XmlEnumValueBean(String value) {
        this.value = value;
    }

    public XmlEnumValueBean() {
    }

    public Class<XmlEnumValue> annotationType() {
        return XmlEnumValue.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlEnumValue)) {
            return false;
        }
        if (!value.equals(((XmlEnumValueBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^value.hashCode());
        return r;
    }

    public void value(String value) {
        value = value;
    }

    public String value() {
        return value;
    }

}
