
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlMimeType;

public class XmlMimeTypeBean
    implements XmlMimeType
{

    private String value;

    public XmlMimeTypeBean(String value) {
        this.value = value;
    }

    public XmlMimeTypeBean() {
    }

    public Class<XmlMimeType> annotationType() {
        return XmlMimeType.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlMimeType)) {
            return false;
        }
        if (!value.equals(((XmlMimeTypeBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^value.hashCode());
        return r;
    }

    public void value(String value) {
        value = value;
    }

    public String value() {
        return value;
    }

}
