
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlSeeAlso;

public class XmlSeeAlsoBean
    implements XmlSeeAlso
{

    private Class[] value;

    public XmlSeeAlsoBean(Class[] value) {
        this.value = value;
    }

    public XmlSeeAlsoBean() {
    }

    public Class<XmlSeeAlso> annotationType() {
        return XmlSeeAlso.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlSeeAlso)) {
            return false;
        }
        if (!value.equals(((XmlSeeAlsoBean) that).value)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^ 0);
        return r;
    }

    public void value(Class[] value) {
        value = value;
    }

    public Class[] value() {
        return value;
    }

}
